View Issue Details

IDProjectCategoryView StatusLast Update
0032423Open CASCADEOCCT:Codingpublic2021-09-18 09:54
Reporterbugmaster Assigned Tosmoskvin  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
PlatformmacOSmacOS 
Product Version7.5.0 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032423: Coding Rules - NSOpenGLContext deprecation warnings during compilation for macOS 10.14+
Descriptionhttp://jenkins-test-11.nnov.opencascade.com/view/WEEK-23_WEEK-23/view/OCCT%20compile/job/WEEK-23_WEEK-23-OCCT-Arm64-macosx-shared-opt-compile/2/warnings10Result/

http://jenkins-test-11.nnov.opencascade.com/view/WEEK-23_WEEK-23/view/OCCT%20compile/job/WEEK-23_WEEK-23-OCCT-Arm64-macosx-static-opt-compile/1/warnings10Result/

/OCCT_SRC/src/OpenGl/OpenGl_Window_1.mm:219:17: warning: 'setView:' is deprecated: first deprecated in macOS 10.14 - Use NSOpenGLView to provide OpenGL content in a Cocoa app. [-Wdeprecated-declarations]
    [aGLContext setView: aView];
                ^
/OCCT_SRC/src/OpenGl/OpenGl_Window_1.mm:276:29: warning: 'view' is deprecated: first deprecated in macOS 10.14 [-Wdeprecated-declarations]
    NSView* aView = [aGLCtx view];
                            ^
/OCCT_SRC/src/OpenGl/OpenGl_Window_1.mm:356:38: warning: 'view' is deprecated: first deprecated in macOS 10.14 [-Wdeprecated-declarations]
  NSView*          aView   = [aGLCtx view];
                                     ^
/OCCT_SRC/src/Aspect/Aspect_RenderingContext.hxx:40:13: warning: 'NSOpenGLContext' is deprecated: first deprecated in macOS 10.14 - Please use Metal or MetalKit. [-Wdeprecated-declarations]
    typedef NSOpenGLContext* Aspect_RenderingContext;
            ^
TagsNo tags attached.
Test case numberNot required

Relationships

duplicate of 0031843 feedbackbugmaster Community Visualization, TKOpenGl - macOS OpenGL depreciation warning 
related to 0032429 closedkgv Open CASCADE Coding - Warnings during compilation on macosx arm64 with option BUILD_Inspector:BOOL=ON 
child of 0032431 assignedbugmaster Open CASCADE Porting OCCT and Products to macOS Big Sur arm64 

Activities

git

2021-09-10 21:45

administrator   ~0103997

Branch CR32423 has been created by kgv.

SHA-1: 57fe43962600f6070f1bb85679e8bcd3e06dc30b


Detailed log of new commits:

Author: kgv
Date: Fri Sep 10 21:45:03 2021 +0300

    0032423: Coding Rules - NSOpenGLContext deprecation warnings during compilation for macOS 10.14+
    
    The warning has been suppressed for building TKOpenGl.

git

2021-09-13 09:33

administrator   ~0104052

Branch CR32423 has been updated forcibly by kgv.

SHA-1: 5c34a8e3c93fce7b889df280e8f48e6f045b7bf7

kgv

2021-09-13 09:34

developer   ~0104053

Please raise the patch
- OCCT: branch CR32423.

bugmaster

2021-09-18 09:36

administrator   ~0104174

Combination -
OCCT branch : IR-2021-09-17
master SHA - 812ee2c9bec89902de2ff85201cb314e0de894cc
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-09-17 SHA - 1127e31e32f90ff63544b0516092694f1a36932f
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17390.540000000547 / 17358.370000000414 [+0.19%]
Products
Total CPU difference: 11364.740000000118 / 11411.36000000011 [-0.41%]
Windows-64-VC14:
OCCT
Total CPU difference: 19321.5625 / 19327.15625 [-0.03%]
Products
Total CPU difference: 12746.171875 / 12747.78125 [-0.01%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-09-18 09:54

administrator   ~0104207

Branch CR32423 has been deleted by mnt.

SHA-1: 5c34a8e3c93fce7b889df280e8f48e6f045b7bf7

Related Changesets

occt: master e2d6f0e3

2021-09-10 18:45:03

kgv


Committer: smoskvin Details Diff
0032423: Coding Rules - NSOpenGLContext deprecation warnings during compilation for macOS 10.14+

The warning has been suppressed for building TKOpenGl.
Affected Issues
0032423
mod - src/Aspect/Aspect_RenderingContext.hxx Diff File
mod - src/OpenGl/OpenGl_Window_1.mm Diff File

Issue History

Date Modified Username Field Change
2021-06-07 19:16 bugmaster New Issue
2021-06-07 19:16 bugmaster Assigned To => kgv
2021-06-07 19:17 bugmaster Status new => assigned
2021-06-07 19:23 kgv Product Version => 7.5.0
2021-06-07 19:23 kgv Summary Coding - New warnings during compilation for macosx on macOS 11 => Coding Rules - New warnings during compilation for macOS 11
2021-06-07 19:23 kgv Summary Coding Rules - New warnings during compilation for macOS 11 => Coding Rules - New deprecation warnings during compilation for macOS 10.14
2021-06-07 19:25 kgv Relationship added duplicate of 0031843
2021-06-07 19:42 bugmaster Platform => arm64
2021-06-07 19:57 kgv OS => macOS
2021-06-07 19:57 kgv OS Version => 10.14
2021-06-07 19:57 kgv Platform arm64 => mac
2021-06-07 20:04 kgv Description Updated
2021-06-07 20:13 kgv Summary Coding Rules - New deprecation warnings during compilation for macOS 10.14 => Coding Rules - NSOpenGLContext deprecation warnings during compilation for macOS 10.14+
2021-06-10 16:58 bugmaster Relationship added child of 0032431
2021-07-09 19:51 kgv Relationship added related to 0032429
2021-09-09 21:35 kgv Target Version 7.6.0 => 7.7.0
2021-09-10 21:45 git Note Added: 0103997
2021-09-10 21:46 kgv Status assigned => resolved
2021-09-10 21:46 kgv Target Version 7.7.0 => 7.6.0
2021-09-13 09:33 git Note Added: 0104052
2021-09-13 09:34 kgv Note Added: 0104053
2021-09-13 09:34 kgv Assigned To kgv => bugmaster
2021-09-13 09:34 kgv Status resolved => reviewed
2021-09-18 09:36 bugmaster Note Added: 0104174
2021-09-18 09:36 bugmaster Status reviewed => tested
2021-09-18 09:42 bugmaster Test case number => Not required
2021-09-18 09:43 smoskvin Changeset attached => occt master e2d6f0e3
2021-09-18 09:43 smoskvin Assigned To bugmaster => smoskvin
2021-09-18 09:43 smoskvin Status tested => verified
2021-09-18 09:43 smoskvin Resolution open => fixed
2021-09-18 09:54 git Note Added: 0104207